Manual:Installation requirements/pl

This page is a translated version of the page Manual:Installation requirements and the translation is 49% complete.
Outdated translations are marked like this.

Oprócz konieczności pobrania oprogramowania, instalacja MediaWiki ma następujące wymagania:

  • serwer WWW, jest wymagany do wysyłania wygenerowanych przez MediaWiki stron do przeglądarek;
  • Język skryptowy PHP, jest wymagany do uruchomienia oprogramowania;
  • serwer baz danych, jest wymagany do przechowywania zawartości stron i danych serwisu.

Dodatkowo, istnieje szereg opcjonalnych zależności, które stawiają dodatkowe wymagania w sytuacjach, gdy serwis ma być wyposażony w zaawansowane cechy – patrz poniżej.

Jeśli serwis internetowy jest hostowany, tzn. nie masz nad nim bezpośredniej kontroli, należy zapytać administratora serwera lub firmę hostującą o poszczególne elementy wymagane przez MediaWiki.

To run MediaWiki maintenance scripts, you will need command line access.

Prosta instalacja za jednym pobraniem

Jeżeli używasz Linuxa, najlepiej jest zainstalować Apache'a, PHP oraz MariaDB używając menadżera pakietów. Na Debianie oraz Ubuntu użyj polecenia:

sudo apt-get install php php-apcu php-intl php-mbstring php-xml php-mysql php-calendar mariadb-server apache2

Zestawy oprogramowania

Na innych systemach operacyjnych, użyj XAMPP od https://www.apachefriends.org aby zainstalować wszystkie ważne pakiety – Apache, PHP i MariaDB – z tylko jednym pobraniem. Dostępny jest dla systemów operacyjnych: Linux, Windows, Mac i Solaris. Stan na sierpień 2016: najnowsza wersja XAMPP zawiera PHP w wersji 7.0 (MediaWiki wymaga co najmniej 7.3.19/7.4.3).

Alternatywnie, jeśli używasz komputera od Apple, możesz użyć MAMP, który jest taki sam w działaniu do XAMPP MAMP includes the ability to run the Apache web server and a MySQL database. It is available for both Windows and Mac, but is generally used on Mac instead of Windows.

Serwer WWW

By przekazywać generowane przez oprogramowanie MediaWIki strony do przeglądarki, wymagane jest oprogramowanie serwera WWW. Często nie ma wyboru co do używanego oprogramowania – korzysta się z tego, które dostarcza podmiot hostujący nasz serwis.

MediaWiki is broadly compatible with all major web servers that can invoke a compatible version of PHP. Większość instalacji korzysta z serwera Apache, dostępnego z [$apachedownload oficjalnej strony pobierania]. nginx (configuration example) is a good choice as well.

PHP

PHP jest językiem programowania, w którym stworzono oprogramowanie MediaWiki i jest on wymagany do uruchomienia MediaWiki.

  • Dla najnowszych wydań oprogramowania MediaWiki wymagany jest co najmniej interpreter PHP 7.3.19/7.4.3. See the page on Zgodność for further information.
MediaWiki nie jest kompatybilne z PHP w wersjach od 7.4.0 - 7.4.2 w związku z błędem w oprogramowaniu przetwarzającym język PHP. Use PHP 7.4.3+ instead. Zobacz zadanie T246594, aby uzyskać więcej informacji.
If using PHP8 we recommend using MediaWiki 1.38.4+ or the upcoming MediaWiki 1.39.0+. PHP8 is not in use by Wikimedia wikis, and thus gets less testing, but other groups do use MediaWiki with PHP8 without issue. If you encounter any bugs when using MediaWiki with PHP8 please report them. Zobacz zadanie T248925, aby uzyskać więcej informacji.
  • Some features of MediaWiki may require PHP functions that execute external processes, like image thumbnailing, that some cheap hosts usually disable.

Please take this into consideration if you plan to install MediaWiki on a shared host.

  • MediaWiki extensions may require additional PHP features, e.g. VisualEditor requires libcurl support (php-curl on Debian/Ubuntu-based distros).

Osoby samodzielnie kompilujące PHP powinny zajrzeć do dokumentu Konfiguracja PHP , opisującego opcje kompilacji mające wpływ na działanie oprogramowania MediaWiki.

Serwer baz danych

Oprogramowanie MediaWiki przechowuje dane tekstowe i inne (zawartości stron, szczegóły dotyczące kont użytkowników, komunikaty systemowe, itd.) w bazie danych. Istnieje możliwość współdzielenia bazy danych przechowującej dane MediaWiki z innymi aplikacjami (np. phpBB). Chcąc uruchomić oprogramowanie MediaWiki należy dysponować oprogramowaniem do obsługi baz danych w jednej z niżej wymienionych wersji:

Using MariaDB or MySQL is recommended as Wikimedia uses MariaDB. Any other database servers are less tested and you may likely run into some bugs.

  Uwaga: Od wersji MediaWiki 1.34 nie wspieramy już wykorzystania Oracle i Microsoft SQL Server . Zalecamy z nich już nie korzystać.

Niektórzy użytkownicy instalują dodatkowe oprogramowanie wspomagające pracę z bazami danych, np. phpMyAdmin (MySQL/MariaDB) lub phpPgAdmin (Postgres) służące do zarządzania bazami danych. Some hosting services also provide such software.

Wymagania sprzętowe

Zalecane minimalne wymagania to 256 MB RAM dla instalacji jednostanowiskowej i co najmniej 85 MB przestrzeni dyskowej, choć w przypadku serwisów publicznych o dużej ilości odwiedzin lub serwisów z włączoną możliwością przesyłania plików wartości te będą niewystarczające. Z drugiej strony znane są przypadki instalacji MediaWiki działających na komputerach wyposażonych w 48 MB RAM.

Rozmiar instalacji może zostać zmniejszony do około 50Mb dla instalacji dla developerów i do około 26Mb dla instalacji dla zwykłych użytkowników. Zobacz Manual:Reduce size of the installation .

Zależności opcjonalne

  • ImageMagick lub GD: wymagane do prawidłowego wyświetlania Image thumbnailing .
  • TeX: wymagany dla wyświetlania w tekście wzorów matematycznych; W większości dystrybucji Debian/Ubuntu znajduje się w pakiecie texlive.
  • GNU diff3 can be provided to automatically resolve conflicts.

Zobacz też

  • Zgodność , for information about how MediaWiki's installation requirements are likely to change in the future